Package org.apache.batchee.container.modelresolver.impl

## Class AbstractPropertyResolver<B>

- java.lang.Object
- - org.apache.batchee.container.modelresolver.impl.AbstractPropertyResolver<B>

- All Implemented Interfaces:
    `PropertyResolver<B>`
  Direct Known Subclasses:
    `AnalyzerPropertyResolver`, `BatchletPropertyResolver`, `CheckpointAlgorithmPropertyResolver`, `ChunkPropertyResolver`, `CollectorPropertyResolver`, `ControlElementPropertyResolver`, `DecisionPropertyResolver`, `ExceptionClassesPropertyResolver`, `FlowPropertyResolver`, `ItemProcessorPropertyResolver`, `ItemReaderPropertyResolver`, `ItemWriterPropertyResolver`, `JobPropertyResolver`, `ListenerPropertyResolver`, `PartitionMapperPropertyResolver`, `PartitionPlanPropertyResolver`, `PartitionPropertyResolver`, `PartitionReducerPropertyResolver`, `SplitPropertyResolver`, `StepPropertyResolver`

      public abstract class AbstractPropertyResolver<B>
      extends Object
      implements PropertyResolver<B>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isPartitionedStep` |
    `static String` | `UNRESOLVED_PROP_VALUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPropertyResolver​(boolean isPartitionStep)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `replaceAllProperties​(String str, Properties submittedProps, Properties xmlProperties)` | Replace all the properties in String str.
    `protected Properties` | `resolveElementProperties​(List<Property> elementProperties, Properties submittedProps, Properties parentProps)` |
    `B` | `substituteProperties​(B b, Properties submittedProps)` | Convenience method that is the same as calling substituteProperties(batchElement, submittedProps, null)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.batchee.container.modelresolver.PropertyResolver

      `substituteProperties`

- - ### Field Detail

    - #### isPartitionedStep

          protected boolean isPartitionedStep

    - #### UNRESOLVED_PROP_VALUE

          public static final String UNRESOLVED_PROP_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractPropertyResolver

          public AbstractPropertyResolver​(boolean isPartitionStep)

  - ### Method Detail

    - #### substituteProperties

          public B substituteProperties​(B b,
                                        Properties submittedProps)

      Description copied from interface: `PropertyResolver`
      Convenience method that is the same as calling substituteProperties(batchElement, submittedProps, null)
      Specified by:
        `substituteProperties` in interface `PropertyResolver<B>`

    - #### resolveElementProperties

          protected Properties resolveElementProperties​(List<Property> elementProperties,
                                                        Properties submittedProps,
                                                        Properties parentProps)

      Parameters:
        `elementProperties` - xml properties that are direct children of the current element
        `submittedProps` - submitted job properties
        `parentProps` - resolved parent properties
      Returns:
        the properties associated with this elements scope

    - #### replaceAllProperties

          protected String replaceAllProperties​(String str,
                                                Properties submittedProps,
                                                Properties xmlProperties)

      Replace all the properties in String str.
      Parameters:
        `str` -
        `submittedProps` -
        `xmlProperties` -
      Returns: